-- | A module that represents the target levels to @scalac@ and @scaladoc@.
module System.Build.Scala.Target(
                                  Target(..)
                                ) where

import System.Build.Args

-- | Specify for which target object files should be built (jvm-1.5,jvm-1.4,msil)
data Target = JVM15   -- ^ @jvm-1.5@
              | JVM14 -- ^ @jvm-1.4@
              | MSIL   -- ^ @msil@
  deriving Eq

instance Show Target where
  show JVM15 = "jvm-1.5"
  show JVM14 = "jvm-1.4"
  show MSIL = "msil"

instance ArgShow Target where
  arg = show